org.keycloak.representations.idm

## Class RolesRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.RolesRepresentation

-     public class RolesRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,List<RoleRepresentation>>` | `application` Deprecated.
    `protected Map<String,List<RoleRepresentation>>` | `client`
    `protected List<RoleRepresentation>` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RolesRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<RoleRepresentation>>` | `getApplication()` Deprecated.
    `Map<String,List<RoleRepresentation>>` | `getClient()`
    `List<RoleRepresentation>` | `getRealm()`
    `void` | `setClient(Map<String,List<RoleRepresentation>> client)`
    `void` | `setRealm(List<RoleRepresentation> realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected List<RoleRepresentation> realm

    - #### client

          protected Map<String,List<RoleRepresentation>> client

    - #### application

          @Deprecated
          protected Map<String,List<RoleRepresentation>> application

      Deprecated.

  - ### Constructor Detail

    - #### RolesRepresentation

          public RolesRepresentation()

  - ### Method Detail

    - #### getRealm

          public List<RoleRepresentation> getRealm()

    - #### setRealm

          public void setRealm(List<RoleRepresentation> realm)

    - #### getClient

          public Map<String,List<RoleRepresentation>> getClient()

    - #### setClient

          public void setClient(Map<String,List<RoleRepresentation>> client)

    - #### getApplication

          @Deprecated
          public Map<String,List<RoleRepresentation>> getApplication()

      Deprecated.

Copyright © 2021 JBoss by Red Hat. All rights reserved.